package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class PotentialContactOverviewQO extends PotentialOverviewQO {

    private static final long serialVersionUID = -4105397589798480404L;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("potCusNum", 1);          // 潜力客户数
        map.put("connPotCusNum", 2);      // 建联客户数
        map.put("potCusConnRate", 3);     // 建联率
        map.put("convsPotCusNum", 4);     // 转化客户数
        map.put("connConvsRate", 5);      // 转化率
        map.put("connConvsAmt", 6);       // 潜客转化金额
        map.put("noConnPotCusNum", 7);    // 当前未建联潜客数
        return map;
    }

    public String getDefaultFields() {
        return "potCusConnRate";
    }
}
